/*
 * Header for KANJI-code converter library
 */

#ifndef CONV_H
#define CONV_H
typedef struct _ConvRoutine {
	char	key;
	void	(*from_routine)();
	void	(*to_routine)();
	char	*s_in;
	char	*s_out;
} *Converter;

Converter getConverter(),checkShiftCode(),autoConvert();

extern Converter DefaultConverter;
extern Converter NoConv;

extern struct _ConvRoutine Converters[];

#define Code_j &Converters[0]
#define Code_N &Converters[1]
#define Code_n &Converters[2]
#define Code_E &Converters[3]
#define Code_S &Converters[4]
#define Code_J &Converters[5]
#define Code_U &Converters[6]
#define Code_m &Converters[7]
#define Code_A &Converters[11]
#define Code_None &Converters[12]

#endif
